import { Component, OnInit } from "@angular/core";
import { ControlWidget } from "@delon/form";

@Component({
  selector: 'sf-dict-select',
  templateUrl: './dict-select.widget.html',
  preserveWhitespaces: false,
})

export class DictSelectWidget extends ControlWidget implements OnInit {


  static readonly KEY = 'dict-select';
  /**
   * 字典数据数组
   */


  dictList: any[] = [];


  ngOnInit(): void {

  }

  change(value: string) {
    if (this.ui.change) this.ui.change(value);
    this.setValue(value);
  }
}
